JOSM(1)

NAME
josm - Java OpenStreetMap Editor

SYNOPSIS
josm

DESCRIPTION
josm is an extensible editor for OpenStreetMap written in Java 6.

OpenStreetMap is a project aimed squarely at creating and providing free geographic data such as street maps to anyone who wants them. It allows you to view, edit and use geographical data in a collaborative way from anywhere on Earth.

The project was started because most maps you think of as free actually have legal or technical restrictions on their use, holding back people from using them in creative, productive or unexpected ways.

OPTIONS

-h, -?, --help
    Show help.

--version
    Display the JOSM version and exit.

--geometry=widthxheight(+|-)x(+|-)y
    Standard X geometry argument.

[--download=]minlat,minlon,maxlat,maxlon
    Download the bounding box.

[--download=]url
    Download the location at the url (with lat=x&lon=y&zoom=z).

[--download=]filename
    Open a file (any filetype that can be opened with File/Open from the GUI).

--downloadgps=minlat,minlon,maxlat,maxlon
    Download the bounding box as raw GPS.

--selection=searchstring
    Select with the given search.

--[no-]maximize
    Launch in maximized (or minimized) mode.

--reset-preferences
    Reset the preferences to the default.

--load-preferences=url
    Load preferences from the given url (in XML format).

--set=key=value
    Set the preference key to value.

--language=language
    Set the language.

JAVA PROPERTIES
The following options can be set by using Java system properties (i.e. -Dkey=value passed to java, or specified inside JAVA_OPTS).

josm.home=path
    Set the JOSM home directory to path. This will contain all user settings. Default is ~/.josm/.

ENVIRONMENT

JAVA_HOME
    Specify an alternate Java environment.

JAVA_OPTS
    Specify Java options. For example, to use a HTTP proxy server with this program, set this environment variable to something like JAVA_OPTS="-Dhttp.proxyHost=yourProxyURL" before starting josm.

AUTHOR
josm was written by Immanuel Scholz. The current maintainer is Dirk Stöcker.

This manual page was written by Andreas Putzo <andreas@putzo.net> and David Paleino <dapal@debian.org>, and is licensed under the same terms of JOSM itself (currently, the GNU General Public License, version 3 or later).